summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2017-11-06 08:10:43 +0100
committerDavid Seifert <soap@gentoo.org>2017-11-06 08:10:43 +0100
commitdb01d59aa45c2be75b088ed5ae41cd6a1baa8811 (patch)
treec27bd6119ad301bf47a2afc7da110b2280491077
parentmedia-libs/adplug: Update to EAPI 6 (diff)
downloadgentoo-db01d59aa45c2be75b088ed5ae41cd6a1baa8811.zip
gentoo-db01d59aa45c2be75b088ed5ae41cd6a1baa8811.tar.gz
gentoo-db01d59aa45c2be75b088ed5ae41cd6a1baa8811.tar.bz2
media-sound/audacious: Readd support for GTK+3
Package-Manager: Portage-2.3.13, Repoman-2.3.4
-rw-r--r--media-sound/audacious/Manifest1
-rw-r--r--media-sound/audacious/audacious-3.9.ebuild18
-rw-r--r--media-sound/audacious/audacious-9999.ebuild18
3 files changed, 27 insertions, 10 deletions
diff --git a/media-sound/audacious/Manifest b/media-sound/audacious/Manifest
index d663c45..b30fd68 100644
--- a/media-sound/audacious/Manifest
+++ b/media-sound/audacious/Manifest
@@ -4,5 +4,6 @@ DIST audacious-3.7.1-gtk3.tar.bz2 571720 SHA256 30d63066916d0de32891c74b6b39e3c9
DIST audacious-3.7.1.tar.bz2 571450 SHA256 c8366870aea21d5f4a5a282dee45fba99390e4e3d5164cd119e343f79e9ecbbf SHA512 4c74fcfa6e575375501828905f01ed1e769d88fa346a99162c6800da5bc6aa33ec5598c5de1201c4e24cadb31b8c36768ea390aa4884de6bdbf42b0bea5a31a8 WHIRLPOOL 19fb9e0bd4b606e09ef21a66b8684fbc5ccac4e97c0f26abe96b42851fc3a2c629d89b39ec3f9a5ec82a779a2d6a5ae56ab36ab0993a2e0c1ff48861e6c28518
DIST audacious-3.8.2-gtk3.tar.bz2 591423 SHA256 4ec6bd82d812c5cdcb1c32f4b0912b219edc8f1ce2603b07f714e0c4f2ed08bc SHA512 fc2c69748c8f044aa8eae1848771b45088d85fbb67baf5dcd3ab2ff52e0848ba626e138d1a37756df98249f32cb3d6c54de29355b218602c6a47ff15c8ba0b96 WHIRLPOOL 7d9e2c295e89ec40ef91613f4a4c1f808446f156bbbc6e6be89511fa94a4b9cce5bef209187d1396edd008dd4474c127ad97a493cf9bf3deffd6064f07cdec8e
DIST audacious-3.8.2.tar.bz2 591209 SHA256 bdf1471cce9becf9599c742c03bdf67a2b26d9101f7d865f900a74d57addbe93 SHA512 13914d837ab5f283c45297424033486d9a5158f78f17f5538ecce780125fa76585e9e45852d15f6ecf3ed974e7a2f6289ceaaeffa97b2ea79b2bef449d8c786b WHIRLPOOL 9027baf4fe10e69fd41417d46db2d9105701a6a8c8b80f5bfa3f0aa9615b07a0103b159585b601c01b3483f93872ed890ed81f921b512d295648bffc820267f0
+DIST audacious-3.9-gtk3.tar.bz2 588784 SHA256 f671657f53115d3ee90dee84cccdfc01a3cd968c62731e15cacab5d27f840633 SHA512 7410e27d90a236dca6c988a05fe6cd5ed73fb2c7dbf3779cc29bf5b23618b9430ecb2bf340b67bef07aa821130734d978738c976d09cf216ba5140b569e9190f WHIRLPOOL 16bf9c0b49c66ce429bd7c5eccbfa42c8d167f22342280e31573da50cc36f513fdb91f935d176e1ef071702d0a9e97568122d3af2527d169bfa8ed9ced290ce9
DIST audacious-3.9.tar.bz2 599488 SHA256 2d8044673ac786d71b08004f190bbca368258bf60e6602ffc0d9622835ccb05e SHA512 d8ef24c91c84bfa80831075cd9a12fc4bf02cec8bc96bcfa5a941254d194cccdc482482b1c015bc63e1142718c2221034c0f3a87e2cb6e4daf3b4cc428328aaa WHIRLPOOL a3e3d4f6b9fb0b3e2e90ea249101ae9cc0263d8dda0e49696e44ee00492218d9e19770669abcbcc4b8adfc4e53c263de1e8c9b5d5cdcc9a43d90e9b70d76e282
DIST gentoo_ice-xmms-0.2.tar.bz2 51839 SHA256 d1be63368b76f4a8b1d5b0e955cd7a77177f56a7f0b828c6603d8fd2836422b1 SHA512 e863a8f86073007c47ce8c20739aae4bff22e22a7ddc11556b12ae6ebb68654cec7310fdc9d05f2c47f81cf2591fe601b2eb12a2fd911c0a6118c9f3cc524f05 WHIRLPOOL b7a4409629a860021477f34f8886c40c005ea2ec34373d80e6a696323866e54f361e38c76b1ac536775ae5912308f11416e613dec791f21473f01a2fad35bcfd
diff --git a/media-sound/audacious/audacious-3.9.ebuild b/media-sound/audacious/audacious-3.9.ebuild
index 464c12d..8d0969f 100644
--- a/media-sound/audacious/audacious-3.9.ebuild
+++ b/media-sound/audacious/audacious-3.9.ebuild
@@ -13,7 +13,9 @@ if [[ ${PV} == *9999 ]]; then
inherit autotools git-r3
EGIT_REPO_URI="https://github.com/audacious-media-player/audacious.git"
else
- SRC_URI="http://distfiles.audacious-media-player.org/${MY_P}.tar.bz2"
+ SRC_URI="
+ !gtk3? ( http://distfiles.audacious-media-player.org/${MY_P}.tar.bz2 )
+ gtk3? ( http://distfiles.audacious-media-player.org/${MY_P}-gtk3.tar.bz2 )"
KEYWORDS="~amd64 ~x86"
fi
@@ -21,8 +23,8 @@ SRC_URI+=" mirror://gentoo/gentoo_ice-xmms-0.2.tar.bz2"
LICENSE="BSD-2"
SLOT="0"
-IUSE="gtk nls qt5"
-REQUIRED_USE="^^ ( gtk qt5 )"
+IUSE="gtk gtk3 nls qt5"
+REQUIRED_USE="^^ ( gtk gtk3 qt5 )"
RDEPEND="
>=dev-libs/dbus-glib-0.60
@@ -30,7 +32,8 @@ RDEPEND="
>=x11-libs/cairo-1.2.6
>=x11-libs/pango-1.8.0
virtual/freedesktop-icon-theme
- gtk? ( x11-libs/gtk+:2 )
+ gtk? ( x11-libs/gtk+:2 )
+ gtk3? ( x11-libs/gtk+:3 )
qt5? (
dev-qt/qtcore:5
dev-qt/qtgui:5
@@ -43,6 +46,11 @@ PDEPEND="~media-plugins/audacious-plugins-${PV}"
src_unpack() {
default
+
+ if use gtk3; then
+ mv "${MY_P}"{-gtk3,} || die
+ fi
+
[[ ${PV} == *9999 ]] && git-r3_src_unpack
}
@@ -60,7 +68,7 @@ src_configure() {
econf \
--disable-valgrind \
--enable-dbus \
- $(use_enable gtk) \
+ $(use_enable $(usex gtk gtk gtk3) gtk) \
$(use_enable nls) \
$(use_enable qt5 qt)
}
diff --git a/media-sound/audacious/audacious-9999.ebuild b/media-sound/audacious/audacious-9999.ebuild
index 464c12d..8d0969f 100644
--- a/media-sound/audacious/audacious-9999.ebuild
+++ b/media-sound/audacious/audacious-9999.ebuild
@@ -13,7 +13,9 @@ if [[ ${PV} == *9999 ]]; then
inherit autotools git-r3
EGIT_REPO_URI="https://github.com/audacious-media-player/audacious.git"
else
- SRC_URI="http://distfiles.audacious-media-player.org/${MY_P}.tar.bz2"
+ SRC_URI="
+ !gtk3? ( http://distfiles.audacious-media-player.org/${MY_P}.tar.bz2 )
+ gtk3? ( http://distfiles.audacious-media-player.org/${MY_P}-gtk3.tar.bz2 )"
KEYWORDS="~amd64 ~x86"
fi
@@ -21,8 +23,8 @@ SRC_URI+=" mirror://gentoo/gentoo_ice-xmms-0.2.tar.bz2"
LICENSE="BSD-2"
SLOT="0"
-IUSE="gtk nls qt5"
-REQUIRED_USE="^^ ( gtk qt5 )"
+IUSE="gtk gtk3 nls qt5"
+REQUIRED_USE="^^ ( gtk gtk3 qt5 )"
RDEPEND="
>=dev-libs/dbus-glib-0.60
@@ -30,7 +32,8 @@ RDEPEND="
>=x11-libs/cairo-1.2.6
>=x11-libs/pango-1.8.0
virtual/freedesktop-icon-theme
- gtk? ( x11-libs/gtk+:2 )
+ gtk? ( x11-libs/gtk+:2 )
+ gtk3? ( x11-libs/gtk+:3 )
qt5? (
dev-qt/qtcore:5
dev-qt/qtgui:5
@@ -43,6 +46,11 @@ PDEPEND="~media-plugins/audacious-plugins-${PV}"
src_unpack() {
default
+
+ if use gtk3; then
+ mv "${MY_P}"{-gtk3,} || die
+ fi
+
[[ ${PV} == *9999 ]] && git-r3_src_unpack
}
@@ -60,7 +68,7 @@ src_configure() {
econf \
--disable-valgrind \
--enable-dbus \
- $(use_enable gtk) \
+ $(use_enable $(usex gtk gtk gtk3) gtk) \
$(use_enable nls) \
$(use_enable qt5 qt)
}